Maintenance Dispatch Event
The maintenance dispatch event resource.
/maintenanceDispatchEventList maintenance dispatch events
Retrieve a paginated list of maintenance dispatch events. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceDispatchEvent?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"employeeId": "xyz789",
"workCenterId": "xyz789",
"startTime": "2026-01-01T00:00:00Z",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/maintenanceDispatchEventRetrieve a maintenance dispatch event
Fetch a single maintenance dispatch event by filtering on `id`.
Query parameters
idstringMatch on the maintenance dispatch event's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceDispatchEvent?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"employeeId": "xyz789",
"workCenterId": "xyz789",
"startTime": "2026-01-01T00:00:00Z",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchEventCreate a maintenance dispatch event
Create a new maintenance dispatch event.
Body parameters
maintenanceDispatchIdstringrequiredReferences maintenanceDispatch.id
employeeIdstringrequiredReferences user.id
workCenterIdstringrequiredReferences workCenter.id
startTimetimestamprequiredendTimetimestampnotesstringdurationnumbercompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/maintenanceDispatchEvent \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceDispatchId":"xyz789","employeeId":"xyz789","workCenterId":"xyz789","startTime":"2026-01-01T00:00:00Z","companyId":"xyz789"}'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"employeeId": "xyz789",
"workCenterId": "xyz789",
"startTime": "2026-01-01T00:00:00Z",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchEventUpdate a maintenance dispatch event
Update an existing maintenance dispatch event, matched on `id`.
Body parameters
maintenanceDispatchIdstringrequiredReferences maintenanceDispatch.id
employeeIdstringrequiredReferences user.id
workCenterIdstringrequiredReferences workCenter.id
startTimetimestamprequiredendTimetimestampnotesstringdurationnumbercompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/maintenanceDispatchEvent?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceDispatchId":"xyz789"}'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"employeeId": "xyz789",
"workCenterId": "xyz789",
"startTime": "2026-01-01T00:00:00Z",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchEventDelete a maintenance dispatch event
Delete a maintenance dispatch event, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the maintenance dispatch event to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/maintenanceDispatchEvent?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'